Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000623 [Piwigo] other minor always 2007.01.17 02:16 2008.01.27 02:45
Reporter gildor View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS Linux
Projection none   OS Version
ETA none Fixed in Version 1.7.0RC1 Product Version 1.6.2
  Target Version Product Build
Summary 0000623: Char "+" is not supported in gallery URL
Description Using :
Gallery URL: http://le-gall.net/sylvainz+violainez/phpwebgallery/ [^]
in
Administration -> Configuration -> General

Gives me an error (The gallery URL is not valid).

Replacing "+" by "_" solve the issue.

BUT according to RFC 1738, "+" is a __safe__ char for URL, it can be used as is in URL.

http://www.ietf.org/rfc/rfc1738.txt [^] page 3 :

   Thus, only alphanumerics, the special characters "$-_.+!*'(),", and
   reserved characters used for their reserved purposes may be used
   unencoded within a URL.

But great work for the rest of the gallery,

Regards
Sylvain Le Gall
Steps To Reproduce Use
Gallery URL: http://le-gall.net/sylvain+violaine/phpwebgallery/ [^]
in
Administration -> Configuration -> General
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0001696)
plg (manager)
2007.01.27 00:02

rvelices, you've commited function url_is_remote in [Subversion] r1020, can you check why "+" is not authorized in URL?
(0001702)
rvelices (developer)
2007.01.29 00:59

I'll change it. url_is_remote should not actually verify wether the URL is valid, just if it starts with http:// or https://
(0001704)
rvelices (developer)
2007.01.29 21:07

branch 1.6 [Subversion] r1765
Alligator 2 [Subversion] r1766
(0002056)
mathiasm (manager)
2008.01.27 02:42

réaffectation de version

- Issue History
Date Modified Username Field Change
2007.01.17 02:16 gildor New Issue
2007.01.17 02:16 gildor browser => any
2007.01.17 02:16 gildor Web server => Apache 1.3.x
2007.01.27 00:02 plg Note Added: 0001696
2007.01.27 00:02 plg Assigned To => rvelices
2007.01.27 00:02 plg Status new => assigned
2007.01.29 00:59 rvelices Note Added: 0001702
2007.01.29 21:07 rvelices Note Added: 0001704
2007.01.29 21:07 rvelices Status assigned => closed
2007.01.29 21:07 rvelices Resolution open => fixed
2007.01.29 21:07 rvelices Fixed in Version => 1.6.3
2008.01.27 02:42 mathiasm Status closed => feedback
2008.01.27 02:42 mathiasm Resolution fixed => reopened
2008.01.27 02:42 mathiasm Note Added: 0002056
2008.01.27 02:43 mathiasm Status feedback => resolved
2008.01.27 02:43 mathiasm Fixed in Version => 1.7.0RC1
2008.01.27 02:43 mathiasm Resolution reopened => fixed
2008.01.27 02:45 mathiasm Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker